Bug 57367 - Bad: 7.2 was installed, "No such device" during ks upgrade
Bad: 7.2 was installed, "No such device" during ks upgrade
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-12-10 18:27 EST by Mike Snitzer
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-12 15:02:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Snitzer 2001-12-10 18:27:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.18-plogic-10b.bproc i686;

Description of problem:
When I upgrade via kickstart on a newly installed 7.2 system, I get:

Error mounting device sda6 as /:
No such device

This most likely means this partition
has not been formatted.

Press OK to reboot your system.

This said; I _NEED_ to upgrade 7.2 based systems that our company receives
from another computer manufacturer; there is no way around this
requirement.  This being the case; in the kickstarted environment.. I can
mount /tmp/sda6 on /mnt/sysimage perfectly.. and can read files from that
root filesystem.  This is possible under both 7.1 and 7.2 kickstarted
environments; BUT both installers failed with the above error message
during the actual kickstart.  As another data point; I can boot via text
mode off the same redhat 7.x cdroms; and choose the 'upgrade' option; and
it can access sda6 et. al. perfectly fine.

BTW, I could use my upgrade ks.cfg on 7.1 installed systems perfectly
fine; but now I'm seeing this problem on 7.2 installed systems...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install a 7.2 system
2. Kickstart system with an 7.1 or 7.2 upgrade ks.cfg 
3. watch it yell about root partition not being available

Additional info:

I realize kickstart upgrade ignores much of the specified keywords of this
ks.cfg... but this upgrade ks.cfg works when used on a 7.1 system. 

lang en_US
network  --bootproto static --ip --netmask
nfs --server --dir /mnt/cdrom
device eth eepro100
keyboard us
firewall --disabled
zerombr yes
clearpart --all
part / --size 1024 --ondisk sda 
part /usr --size 3072 --ondisk sda 
part swap --size 1024 --ondisk sda 
part /tmp --size 1024 --ondisk sda 
part /scratch --size 2048 --ondisk sda --grow 
mouse generic3ps/2
timezone US/Eastern
rootpw password
auth --enablemd5 --useshadow
lilo --location mbr
mount -t nfs /mnt/cdrom
/mnt/cdrom/cluster/scripts/plogic_upgrade.py master
Comment 1 Jeremy Katz 2001-12-12 15:03:53 EST
Hmm... you're telling the installer to clear all partitions but do an upgrade
which is non-sensical.  It should work fine if you remove the partitioning
information (or if you care about the partitioning, do an install instead of an
Comment 2 Mike Snitzer 2001-12-12 16:58:55 EST
As taken from:

    * For kickstart upgrades, the following items are required:
    *            Language
    *            Installation method
    *            Device specification (if device is needed to perform
    *            Keyboard setup
    *            The upgrade keyword
    *            LILO configuration
    If any other items are specified for an upgrade, those items will be IGNORED
(note that this includes package selection).  So; maybe your docs are

Note You need to log in before you can comment on or make changes to this bug.